## org.red5.server.net.mrtmp.codec
Class MRTMPProtocolEncoder

    java.lang.Object
      org.red5.server.net.mrtmp.codec.MRTMPProtocolEncoder

All Implemented Interfaces:
  ProtocolEncoder

    public class MRTMPProtocolEncoder

extends Object
implements ProtocolEncoder

Author:
  Steven Gong (steven.gong@gmail.com)

Constructor Summary
`MRTMPProtocolEncoder()`

Method Summary
`void` `dispose(IoSession session)`
`void` `encode(IoSession session, Object message, ProtocolEncoderOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MRTMPProtocolEncoder

    public MRTMPProtocolEncoder()

Method Detail

### dispose

    public void dispose(IoSession session)
                 throws Exception

  Specified by:
    `dispose` in interface `ProtocolEncoder`
  Throws:
    `Exception`

### encode

    public void encode(IoSession session,
                       Object message,
                       ProtocolEncoderOutput out)
                throws Exception

  Specified by:
    `encode` in interface `ProtocolEncoder`
  Throws:
    `Exception`

Copyright © 2006-2010 The Red5 Project